Subject: Re: 'git log' escape symbols shown as ESC[33 and ESC[m

From: Yuri <[email-masked]>
Date: Thu, 16 Jan 2014 18:28:10 -0800

On 01/16/2014 18:13, Jeff King wrote:
> Interesting. I take it that "more" does not pass through ANSI codes at
> all, then.
>

Actually, 'more -R' also passes colors on FreeBSD. So maybe you can 
always add -R if PAGER=more on *BSD (any of them) ? This will fix this 
issue.

I know, it is unpleasant when you add some new minor feature (like term 
colors), and people begin to complain about some related issues. But 
turning colors off isn't a good approach also. App just needs to be 
smarter about when and how to use them.

I would go even further, and convey even more information with colors. 
For example, make all dates which are less than 24 hours red.

Yuri